Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.spiderchart
Class SpiderChartXmlWriter

    java.lang.Object
      net.sf.jasperreports.components.spiderchart.SpiderChartXmlWriter

All Implemented Interfaces:
  ComponentXmlWriter

    public class SpiderChartXmlWriter

extends java.lang.Object
implements ComponentXmlWriter

Version:
  $Id: SpiderChartXmlWriter.java 3892 2010-07-16 13:43:20Z shertage $
Author:
  sanda zaharia (shertage@users.sourceforge.net)

Field Summary
`static java.lang.String` | `ATTRIBUTE_axisLineColor`
`static java.lang.String` | `ATTRIBUTE_axisLineWidth`
`static java.lang.String` | `ATTRIBUTE_headPercent`
`static java.lang.String` | `ATTRIBUTE_interiorGap`
`static java.lang.String` | `ATTRIBUTE_labelColor`
`static java.lang.String` | `ATTRIBUTE_labelGap`
`static java.lang.String` | `ATTRIBUTE_rotation`
`static java.lang.String` | `ATTRIBUTE_startAngle`
`static java.lang.String` | `ATTRIBUTE_tableOrder`
`static java.lang.String` | `ATTRIBUTE_webFilled`
`static java.lang.String` | `ELEMENT_chartSettings`
`static java.lang.String` | `ELEMENT_maxValueExpression`
`static java.lang.String` | `ELEMENT_spiderChart`
`static java.lang.String` | `ELEMENT_spiderDataset`
`static java.lang.String` | `ELEMENT_spiderPlot`

Constructor Summary
`SpiderChartXmlWriter()`

Method Summary
`void` | `writeToXml(ComponentKey componentKey, Component component, JRXmlWriter reportWriter)` Outputs the XML representation of a component.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELEMENT_spiderChart

    public static final java.lang.String ELEMENT_spiderChart

See Also:
  Constant Field Values

### ELEMENT_chartSettings

    public static final java.lang.String ELEMENT_chartSettings

See Also:
  Constant Field Values

### ELEMENT_spiderDataset

    public static final java.lang.String ELEMENT_spiderDataset

See Also:
  Constant Field Values

### ELEMENT_spiderPlot

    public static final java.lang.String ELEMENT_spiderPlot

See Also:
  Constant Field Values

### ELEMENT_maxValueExpression

    public static final java.lang.String ELEMENT_maxValueExpression

See Also:
  Constant Field Values

### ATTRIBUTE_rotation

    public static final java.lang.String ATTRIBUTE_rotation

See Also:
  Constant Field Values

### ATTRIBUTE_tableOrder

    public static final java.lang.String ATTRIBUTE_tableOrder

See Also:
  Constant Field Values

### ATTRIBUTE_webFilled

    public static final java.lang.String ATTRIBUTE_webFilled

See Also:
  Constant Field Values

### ATTRIBUTE_startAngle

    public static final java.lang.String ATTRIBUTE_startAngle

See Also:
  Constant Field Values

### ATTRIBUTE_headPercent

    public static final java.lang.String ATTRIBUTE_headPercent

See Also:
  Constant Field Values

### ATTRIBUTE_interiorGap

    public static final java.lang.String ATTRIBUTE_interiorGap

See Also:
  Constant Field Values

### ATTRIBUTE_axisLineColor

    public static final java.lang.String ATTRIBUTE_axisLineColor

See Also:
  Constant Field Values

### ATTRIBUTE_axisLineWidth

    public static final java.lang.String ATTRIBUTE_axisLineWidth

See Also:
  Constant Field Values

### ATTRIBUTE_labelGap

    public static final java.lang.String ATTRIBUTE_labelGap

See Also:
  Constant Field Values

### ATTRIBUTE_labelColor

    public static final java.lang.String ATTRIBUTE_labelColor

See Also:
  Constant Field Values

Constructor Detail

### SpiderChartXmlWriter

    public SpiderChartXmlWriter()

Method Detail

### writeToXml

    public void writeToXml(ComponentKey componentKey,
                           Component component,
                           JRXmlWriter reportWriter)
                    throws java.io.IOException

  Description copied from interface: `ComponentXmlWriter`
  Outputs the XML representation of a component.

  Specified by:
    `writeToXml` in interface `ComponentXmlWriter`
  Parameters:
    `componentKey` - the component type key
    `component` - the component instance
    `reportWriter` - the report writer to which output is to be written
  Throws:
    `java.io.IOException` - exceptions produced while writing to the output stream
  See Also:
    `ComponentKey.getNamespacePrefix()`, `JRXmlWriter.getXmlWriteHelper()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com